# H245_RequestMultiplexEntryReject Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RequestMultiplexEntryReject:

List of all members.

## Public Member Functions

| H245_RequestMultiplexEntryReject (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_ArrayOf_MultiplexTableEntryNumber | m_entryNumbers
H245_ArrayOf_RequestMultiplexEntryRejectionDescriptions | m_rejectionDescriptions

## Constructor & Destructor Documentation

H245_RequestMultiplexEntryReject::H245_RequestMultiplexEntryReject | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RequestMultiplexEntryReject::GetDataLength | ( |  | ) | const

PBoolean H245_RequestMultiplexEntryReject::Decode | ( | PASN_Stream & | strm | ) |

void H245_RequestMultiplexEntryReject::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RequestMultiplexEntryReject::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RequestMultiplexEntryReject::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RequestMultiplexEntryReject::Clone | ( |  | ) | const

## Member Data Documentation

H245_ArrayOf_MultiplexTableEntryNumber H245_RequestMultiplexEntryReject::m_entryNumbers

H245_ArrayOf_RequestMultiplexEntryRejectionDescriptions H245_RequestMultiplexEntryReject::m_rejectionDescriptions

The documentation for this class was generated from the following file:

- h245.h